<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Mega Blog Pro
	 * @since Mega Blog Pro 1.0.0
	 */

	/**
	 * mega_blog_pro_doctype hook
	 *
	 * @hooked mega_blog_pro_doctype -  10
	 *
	 */
	do_action( 'mega_blog_pro_doctype' );

?>
<head>
<?php
	/**
	 * mega_blog_pro_before_wp_head hook
	 *
	 * @hooked mega_blog_pro_head -  10
	 *
	 */
	do_action( 'mega_blog_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>
<?php
	/**
	 * mega_blog_pro_page_start_action hook
	 *
	 * @hooked mega_blog_pro_page_start -  10
	 * @hooked mega_blog_pro_topbar -  20
	 *
	 */
	do_action( 'mega_blog_pro_page_start_action' ); 

	/**
	 * mega_blog_pro_loader_action hook
	 *
	 * @hooked mega_blog_pro_loader -  10
	 *
	 */
	do_action( 'mega_blog_pro_before_header' );

	/**
	 * mega_blog_pro_header_action hook
	 *
	 * @hooked mega_blog_pro_header_start -  10
	 * @hooked mega_blog_pro_site_branding -  20
	 * @hooked mega_blog_pro_header_end -  30
	 * @hooked mega_blog_pro_site_navigation -  50
	 *
	 */
	do_action( 'mega_blog_pro_header_action' );

	/**
	 * mega_blog_pro_content_start_action hook
	 *
	 * @hooked mega_blog_pro_content_start -  10
	 *
	 */
	do_action( 'mega_blog_pro_content_start_action' );

	/**
	* mega_blog_pro_primary_content hook
	*
	* @hooked mega_blog_pro_add_message_section - 10
	* @hooked mega_blog_pro_add_featured_section - 20
	* @hooked mega_blog_pro_add_recent_section - 20
	* @hooked mega_blog_pro_add_gallery_section - 20
	* @hooked mega_blog_pro_add_popular_section - 20
	*
	*/
    if ( mega_blog_pro_is_frontpage() ) {

    	$sections = mega_blog_pro_sortable_sections();
		foreach ( $sections as $section => $value ) {
			add_action( 'mega_blog_pro_primary_content', 'mega_blog_pro_add_'. $section .'_section', mega_blog_pro_sort( $section ) );
		}

		do_action( 'mega_blog_pro_primary_content' );
	}