<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Mega Blog Pro
* @since Mega Blog Pro 1.0.0
*/

if ( ! function_exists( 'mega_blog_pro_validate_long_excerpt' ) ) :
  function mega_blog_pro_validate_long_excerpt( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-blog-pro' ) );
     } elseif ( $value < 5 ) {
         $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'mega-blog-pro' ) );
     } elseif ( $value > 100 ) {
         $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'mega-blog-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'mega_blog_pro_validate_promo_box_count' ) ) :
  function mega_blog_pro_validate_promo_box_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-blog-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'mega-blog-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-blog-pro' ) );
     }
     return $validity;
  }
endif;


if ( ! function_exists( 'mega_blog_pro_validate_featured_count' ) ) :
  function mega_blog_pro_validate_featured_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-blog-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'mega-blog-pro' ) );
     } elseif ( $value > 6 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'mega-blog-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'mega_blog_pro_validate_recent_count' ) ) :
  function mega_blog_pro_validate_recent_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-blog-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'mega-blog-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-blog-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'mega_blog_pro_validate_gallery_count' ) ) :
  function mega_blog_pro_validate_gallery_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-blog-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'mega-blog-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'mega-blog-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'mega_blog_pro_validate_popular_count' ) ) :
  function mega_blog_pro_validate_popular_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'mega-blog-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'mega-blog-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'mega-blog-pro' ) );
     }
     return $validity;
  }
endif;